/**************************************************************************************************
	$Header: /pub/cvsroot/mydns/src/mydns/status.h,v 1.1 2002/06/24 02:24:18 bboy Exp $

	Copyright (C) 2002  Don Moore <bboy@bboy.net>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at Your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**************************************************************************************************/

#ifndef _STATUS_H
#define _STATUS_H


typedef struct _serverstatus		/* Server status information */
{
	time_t		start_time;	 		/* Time server started */
	u_int64_t	requests;	 		/* Total # of requests handled */
	u_int64_t	timedout;	 		/* Number of requests that timed out */
	u_int64_t	success;		 		/* Number of successful requests */
	u_int64_t	fail;			 		/* Number of failed requests */
} SERVERSTATUS;

extern SERVERSTATUS Status;

#endif /* _STATUS_H */

/* vi:set ts=3: */
